incubator-blur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Raghav H ...@cryptowiz.com>
Subject Re: BlurUtil build failure...
Date Fri, 06 May 2016 07:40:23 GMT
Thanks, Aaron/Harinder. With Java 8 and Hadoop2, I am able to build blur git HEAD successfully.

I just edited the Wiki to make it current and tried to send the CMS Patch via the Apache CMS
bookmarklet to blur-dev — but it was not working for some reason.

I’m attaching (as a patch) the CMS edits I have made to the “Getting Started” page.

Can one of the committers please review and commit?

Thanks.



On 5/5/16, 1:43 PM, "Aaron McCurry" <amccurry@gmail.com> wrote:

>Thanks!
>
>On Thu, May 5, 2016 at 1:53 PM, Raghav H <rh@cryptowiz.com> wrote:
>
>> Sure, Aaron. Looks like the link
>>  http://incubator.apache.org/blur/docs/0.2.3/getting-started.html
>>
>>
>> is a bit dated then. Once I’m done confirming my build, I will file a bug
>> and update the Wiki.
>>
>> Thanks.
>>
>>
>>
>> On 5/5/16, 2:49 AM, "Aaron McCurry" <amccurry@gmail.com> wrote:
>>
>> >Yep that's right. Also only Hadoop 2 is supported so you can drop the
>> >-Dhadoop1.  If you want binaries built add -Pbinaries. This will produce a
>> >binary tarball plus cdh-parcel.
>> >
>> >On Thursday, May 5, 2016, Harinder Bedi <harindersingh861@gmail.com>
>> wrote:
>> >
>> >> Hi RH,
>> >>
>> >> Looks like you are using java 7. Please use java 8 for the same.
>> >>
>> >> Regards
>> >> Harinder
>> >>
>> >> On Thu, May 5, 2016 at 1:21 PM, RH <rh@cryptowiz.com <javascript:;>>
>> >> wrote:
>> >>
>> >> > Hi:
>> >> >
>> >> > New to Blur. Please be gentle :)
>> >> >
>> >> > Trying to compile Blur per the instructions posted here:
>> >> > http://incubator.apache.org/blur/docs/0.2.3/getting-started.html
>> >> >
>> >> > 1. Env: Ubuntu 14.04 LTS. Installed Maven 3
>> >> > ubuntu:~/apache_projects/blur/incubator-blur$ mvn --version
>> >> > Apache Maven 3.2.1 (ea8b2b07643dbb1b84b6d16e1f08391b666bc1e9;
>> >> > 2014-02-14T09:37:52-08:00)
>> >> > Maven home: /usr/share/maven3
>> >> > Java version: 1.7.0_80, vendor: Oracle Corporation
>> >> > Java home: /usr/lib/jvm/java-7-oracle/jre
>> >> > Default locale: en_US, platform encoding: UTF-8
>> >> > OS name: "linux", version: "3.13.0-85-generic", arch: "amd64", family:
>> >> > "unix"
>> >> >
>> >> > 2. Cloned latest from master:
>> https://github.com/apache/incubator-blur
>> >> >
>> >> > 3. Ran "mvn install -DskipTests –Dhadoop1”
>> >> >
>> >> > Got the following error when building Blur-Util:
>> >> >
>> >> > Downloaded:
>> >> >
>> >>
>> http://repo.maven.apache.org/maven2/com/google/collections/google-collections/1.0/google-collections-1.0.jar
>> >> > (625 KB at 1626.6 KB/sec)
>> >> > [INFO] Changes detected - recompiling the module!
>> >> > [INFO] Compiling 46 source files to
>> >> >
>> >>
>> /home/parallels/apache_projects/blur/incubator-blur/blur-util/target/classes
>> >> > [INFO]
>> >> >
>> ------------------------------------------------------------------------
>> >> > [INFO] Reactor Summary:
>> >> > [INFO]
>> >> > [INFO] Blur .............................................. SUCCESS
[
>> >> > 4.527 s]
>> >> > [INFO] Blur Util ......................................... FAILURE
[
>> >> > 5.493 s]
>> >> > [INFO] Blur Thrift ....................................... SKIPPED
>> >> > [INFO] Blur KeyValue Store ............................... SKIPPED
>> >> > [INFO] Blur Document Security ............................ SKIPPED
>> >> > [INFO] Blur Store ........................................ SKIPPED
>> >> > [INFO] Blur Query ........................................ SKIPPED
>> >> > [INFO] Blur Status ....................................... SKIPPED
>> >> > [INFO] Blur Core ......................................... SKIPPED
>> >> > [INFO] Blur Command ...................................... SKIPPED
>> >> > [INFO] Blur Console ...................................... SKIPPED
>> >> > [INFO] Blur Map Reduce ................................... SKIPPED
>> >> > [INFO] Blur Hive ......................................... SKIPPED
>> >> > [INFO] Blur Spark ........................................ SKIPPED
>> >> > [INFO] Blur Shell ........................................ SKIPPED
>> >> > [INFO] Distribution Src .................................. SKIPPED
>> >> > [INFO]
>> >> >
>> ------------------------------------------------------------------------
>> >> > [INFO] BUILD FAILURE
>> >> > [INFO]
>> >> >
>> ------------------------------------------------------------------------
>> >> > [INFO] Total time: 10.447 s
>> >> > [INFO] Finished at: 2016-05-05T00:44:04-08:00
>> >> > [INFO] Final Memory: 20M/49M
>> >> > [INFO]
>> >> >
>> ------------------------------------------------------------------------
>> >> > [ERROR] Failed to execute goal
>> >> > org.apache.maven.plugins:maven-compiler-plugin:3.1:compile
>> >> > (default-compile) on project blur-util: Fatal error compiling: invalid
>> >> > target release: 1.8 -> [Help 1]
>> >> > [ERROR]
>> >> > [ERROR] To see the full stack trace of the errors, re-run Maven with
>> the
>> >> > -e switch.
>> >> > [ERROR] Re-run Maven using the -X switch to enable full debug logging.
>> >> > [ERROR]
>> >> > [ERROR] For more information about the errors and possible solutions,
>> >> > please read the following articles:
>> >> > [ERROR] [Help 1]
>> >> >
>> http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
>> >> > [ERROR]
>> >> > [ERROR] After correcting the problems, you can resume the build with
>> the
>> >> > command
>> >> > [ERROR]   mvn <goals> -rf :blur-util
>> >> >
>> >> > How should I go about fixing it? Any thoughts/guidance?
>> >> >
>> >> > Thanks.
>> >> >
>> >> >
>> >> >
>> >> >
>> >>
>>

Mime
View raw message